package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.distributed.print.business.bean.dto.open.PaperConfig;
import com.qmth.distributed.print.business.entity.GradePaper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 试卷基础信息表（赋分系数、试卷类型、满分、及格分等） Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2022-05-20
 */
public interface GradePaperMapper extends BaseMapper<GradePaper> {

    PaperConfig findBySchoolIdAndPaperNumberAndPaperType(@Param("schoolId") Long schoolId, @Param("paperNumber") String paperNumber, @Param("paperType") String paperType);
}
