package com.qmth.distributed.print.business.service;

import com.qmth.teachcloud.common.enums.RoleTypeEnum;

import java.io.IOException;
import java.util.Map;

/**
 * 单点登录 服务类
 *
 * @Date: 2021/5/20.
 */
public interface SsoService {
    Map<String, Object> markerLoginInfo();

    Map<String, Object> markerLeaderLoginInfo();

    /**
     * 教研分析单点登录
     *
     * @param loginName
     * @param role
     * @param orgName
     * @param realName
     * @param mobileNumber
     * @param enable
     * @param returnUrl
     * @return
     * @throws IOException
     */
    Map<String, Object> analysisLogin(String loginName, RoleTypeEnum role, String orgName, String realName, String mobileNumber, Boolean enable, String returnUrl) throws IOException;
}
